@import url(simple.min.css);
@import url(fonts.css);
@import url(colors.css);

:root {
    --ff-fallback: "Arial", "Helvetica", sans-sans;
    --ff-sans: "rethink-sans";
    --color-1: --flexoki-black;
}

body {
    color: var(--color-1);
}

body header {
    background-color: white;
    border-bottom: none;

    nav ul li a {
        text-transform: uppercase;
        font-weight: 800;
    }

    nav ul li a:hover {
        background-color: var(--flexoki-black);
        color: white;
        border-color: white;
        transition: ease-in-out .2s;
    }
}




h1 {
    font-family: var(--ff-sans), var(--ff-fallback);
    font-weight: 800;
    letter-spacing: -0.1cap;
    font-size: 3rem;
}

h2 {
    font-family: var(--ff-sans), var(--ff-fallback);
    font-weight: 800;
    letter-spacing: -0.04cap;
    font-size: 2rem;
    text-transform: uppercase;
    line-height: 2rem;
}

h3,
h4,
h5,
h6 {
    font-family: var(--ff-sans), var(--ff-fallback);
    font-weight: 600;
    letter-spacing: -0.02cap;
}

p {
    font-family: var(--ff-sans), var(--ff-fallback);
    font-weight: 200;
    font-size: 1.4rem;
    color: var(--color-1);
}

strong {
    font-weight: 600;
}

/* Section Style */
section {
    border: none;
}

section.promotion {
    background-color: var(--flexoki-cyan-100);
    padding: 2rem;
    border-radius: 20px;
    border: 4px solid var(--flexoki-cyan-400);
}

.site-header {
    padding: 2rem 0rem 2em;
}

.site-title {
    font-size: 4rem;
    font-weight: 800;
    letter-spacing: -0.06cap;
    line-height: 1rem;
}

.site-tagline {
    font-size: 1.6rem;
}

.group-list ul {
    list-style: none;

    li {
        font-size: 1.6rem;
        font-weight: 600;
        letter-spacing: -0.04cap;
        padding: 1rem 0;

        a {
            color: var(--color-1);
            text-underline-offset: 8px;
        }
    }
}

body footer {
    font-size: 1rem;
    color: var(--color-1);

    a {
        color: var(--color-1);
        font-weight: 800;
    }
}

span.highlight {
    background-color: var(--flexoki-purple-300);
    padding: 2rem;
}
@media (prefers-color-scheme: dark){
    body header {
      background-color: var(--bg);
      border-bottom: none;
    }
    section.promotion{
        background-color: var(--flexoki-cyan-800);
    }
    body a{
        color: var(--flexoki-cyan-100);
    }
    body footer a{
        color: white !important;
    }

}
@media screen and (max-width: 400px) {
    div span.site-title {
        font-size: 3.4rem;
    };
}